<?php

/**
 * Handler for logging settings admin page.
 *
 * @return array - system_settings_form array for the configuration elements
 */
function enewsletter_logging_settings() {
  $form = array();

  $form['enewsletter_logging_level'] = array(
    '#type' => 'select',
    '#title' => t('Level of enewsletter logging'),
    '#default_value' => variable_get('enewsletter_logging_level', 0),
    '#options' => array(
      0 => 'Success/Failure of each email',
      1 => '+ End points',
      2 => '+ Data',
      3 => '+ SQL',
    ),
    '#description' => t('Select how much logging for the enewsletter module should be logged on each run. Note: The more you choose the faster the log will fill up.'),
  );

  return system_settings_form($form);
}